PortAudio: pa_win_wmme.h File Reference

PortAudio 2.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs | Functions
pa_win_wmme.h File Reference
Public API definitions for users of PortAudio

WMME-specific PortAudio API extension header file. More...

`#include "portaudio.h"`
`#include "pa_win_waveformat.h"`

Go to the source code of this file.

## Data Structures
struct | PaWinMmeDeviceAndChannelCount
struct | PaWinMmeStreamInfo

## Macros
#define | paWinMmeUseLowLevelLatencyParameters (0x01)
#define | paWinMmeUseMultipleDevices (0x02) /* use mme specific multiple device feature */
#define | paWinMmeUseChannelMask (0x04)
#define | paWinMmeDontThrottleOverloadedProcessingThread (0x08)
#define | paWinMmeWaveFormatDolbyAc3Spdif (0x10)
#define | paWinMmeWaveFormatWmaSpdif (0x20)

## Typedefs
typedef struct PaWinMmeDeviceAndChannelCount | PaWinMmeDeviceAndChannelCount
typedef struct PaWinMmeStreamInfo | PaWinMmeStreamInfo

## Functions
int | PaWinMME_GetStreamInputHandleCount (PaStream *stream)
HWAVEIN | PaWinMME_GetStreamInputHandle (PaStream *stream, int handleIndex)
int | PaWinMME_GetStreamOutputHandleCount (PaStream *stream)
HWAVEOUT | PaWinMME_GetStreamOutputHandle (PaStream *stream, int handleIndex)

## Detailed Description

WMME-specific PortAudio API extension header file.

Definition in file pa_win_wmme.h.

## Function Documentation

HWAVEIN PaWinMME_GetStreamInputHandle | ( | PaStream * | stream,
|  | int | handleIndex
| ) |  |

Retrieve a wave in handle used by a PortAudio WinMME stream.

Parameters

  stream | The stream to query.
  handleIndex | The zero based index of the wave in handle to retrieve. This should be in the range [0, PaWinMME_GetStreamInputHandleCount(stream)-1].

Returns
  A valid wave in handle, or NULL if an error occurred.

See Also
  PaWinMME_GetStreamInputHandle

int PaWinMME_GetStreamInputHandleCount | ( | PaStream * | stream | ) |

Retrieve the number of wave in handles used by a PortAudio WinMME stream. Returns zero if the stream is output only.

Returns
  A non-negative value indicating the number of wave in handles or, a PaErrorCode (which are always negative) if PortAudio is not initialized or an error is encountered.

See Also
  PaWinMME_GetStreamInputHandle

HWAVEOUT PaWinMME_GetStreamOutputHandle | ( | PaStream * | stream,
|  | int | handleIndex
| ) |  |

Retrieve a wave out handle used by a PortAudio WinMME stream.

Parameters

  stream | The stream to query.
  handleIndex | The zero based index of the wave out handle to retrieve. This should be in the range [0, PaWinMME_GetStreamOutputHandleCount(stream)-1].

Returns
  A valid wave out handle, or NULL if an error occurred.

See Also
  PaWinMME_GetStreamOutputHandleCount

int PaWinMME_GetStreamOutputHandleCount | ( | PaStream * | stream | ) |

Retrieve the number of wave out handles used by a PortAudio WinMME stream. Returns zero if the stream is input only.

Returns
  A non-negative value indicating the number of wave out handles or, a PaErrorCode (which are always negative) if PortAudio is not initialized or an error is encountered.

See Also
  PaWinMME_GetStreamOutputHandle